## org.jboss.netty.handler.stream
Interface ChunkedInput

All Known Implementing Classes:
  ChunkedFile, ChunkedNioFile, ChunkedNioStream, ChunkedStream

    public interface ChunkedInput

A large data stream which is consumed by `ChunkedWriteHandler`.

Version:
  $Rev: 2166 $, $Date: 2010-02-18 13:24:41 +0900 (Thu, 18 Feb 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`void` `close()` Releases the resources associated with the stream.
`boolean` `hasNextChunk()` Returns `true` if and only if there is any data left in the stream.
`boolean` `isEndOfInput()` Return `true` if and only if there is no data left in the stream and the stream has reached at its end.
`Object` `nextChunk()` Fetches a chunked data from the stream.

Method Detail

### hasNextChunk

    boolean hasNextChunk()
                         throws Exception

  Returns `true` if and only if there is any data left in the stream. Please note that `false` does not necessarily mean that the stream has reached at its end. In a slow stream, the next chunk might be unavailable just momentarily.

  Throws:
    `Exception`

### nextChunk

    Object nextChunk()
                     throws Exception

  Fetches a chunked data from the stream. The returned chunk is usually a `ChannelBuffer`, but you could extend an existing implementation to convert the `ChannelBuffer` into a different type that your handler or encoder understands.

  Returns:
    the fetched chunk, which is usually `ChannelBuffer`. `null` if there is no data left in the stream. Please note that `null` does not necessarily mean that the stream has reached at its end. In a slow stream, the next chunk might be unavailable just momentarily.
  Throws:
    `Exception`

### isEndOfInput

    boolean isEndOfInput()
                         throws Exception

  Return `true` if and only if there is no data left in the stream and the stream has reached at its end.

  Throws:
    `Exception`

### close

    void close()
               throws Exception

  Releases the resources associated with the stream.

  Throws:
    `Exception`

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.